By Administrator on Wednesday, 14 January 2015
Category: Autumnfire Internet Solutions Blog

Why Upgrade to Joomla 2.5

Joomla! 2.5 Current Release 2.5.28 Upcoming Release None
Release Date of Series   January 20, 2011 End of Support for 2.5 December 31, 2014

Why should I migrate ?

A Joomla! migration gives everyone a new opportunity to:

Technology Changes

Security

New Features

Last month, I wrote about the impact of running out-of-date content management systems, such as the old Joomla 1.5, to your site's searchability, security and success. (If you missed that, you can catch up here). While all of that information is still valid, a major recent event in the world of CMS series has made necessary and addendum to that information: As of the end of January 31st, 2014, the Joomla community has ended its support for the long-term release Joomla 2.5. https://docs.joomla.org/What_version_of_Joomla!_should_you_use%3F

So, what does this mean? How bad will this be for websites currently running 2.5 and how immediately will the consequences be felt? The answers to these questions are somewhat complicated, but to sum it up: no one should be panicking right now, but over the next several months we can anticipate the consequences for not updating to become quite bad, exhibiting all of the same problems that already exist for other out-of-date CMS systems.

 At the moment, websites running Joomla 2.5 have been fairly recently updated for security threats, so neither the site owners nor search engines should be terribly concerned about breeches to security, especially with many 3rd party extension developers continuing to support their releases for 2.5. Although some developers have certainly already stopped supporting their old software, the next major step in unraveling this framework is scheduled for March 1st of this year when Akeeba backup cuts off support for Joomla 2.5 (https://www.akeebabackup.com/home/news/1609-announcement-about-joomla-25-support.html). Akeeba backup is one of the most integral pieces of software involved in running a Joomla site. While other security problems could potentially be patched up by running an Akeeba backup restore, a problem that exploits vulnerabilities in an old version of Akeeba is a much more serious concern. Therefore it would be recommended to begin updating from Joomla 2.5 during March at the latest.

Of course, your website may still be fine even in April, but as the lack of security makes the framework less popular, more and more extensions will become permanently unsupported, causing more security holes, reducing popularity and so on and so forth. Before long, as we have already seen, the lack of support generally will cause to search engines to steer users away from websites currently running that software. If you think that being able to be found on Google is important to your business' success, don't panic, but do begin immediately to make a timeline for upgrading your website to the current version 3.3.

Curabitur risus est, aliquam at vehicula hendrerit, lacinia sit amet diam. Nulla tristique arcu et nulla ullamcorper sit amet varius odio condimentum. Ut semper porttitor ipsum, et cursus erat volutpat vitae. Pellentesque odio massa, egestas non euismod eget, ultrices ac orci. Donec purus augue, tempus a iaculis quis, pretium volutpat ipsum. Donec vitae rhoncus turpis.

{blockquote}Quisque odio urna, ultrices non volutpat lacinia, scelerisque sit amet justo. Quisque venenatis sapien id eros pulvinar sit amet posuere lacus gravida. Aenean accumsan placerat nulla, dictum semper turpis scelerisque sit amet.{/blockquote-name | Isaac Asimov}

Integer posuere erat a ante venenatis dapibus posuere velit aliquet. Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget risus varius blandit sit amet non magna. Nulla vitae elit libero, a pharetra augue. Nullam quis risus eget urna mollis ornare vel eu leo. Aenean lacinia bibendum nulla sed consectetur. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus.

Leave Comments